Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 669294 - net-misc/mosh should DEPEND on dev-libs/openssl
Summary: net-misc/mosh should DEPEND on dev-libs/openssl
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Patrice Clement
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-22 10:18 UTC by Luis Ressel
Modified: 2019-01-03 10:11 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luis Ressel 2018-10-22 10:18:03 UTC
mosh-client and mosh-server link against libcrypto, so the ebuild should depend on dev-libs/openssl or dev-libs/libressl.

I've verified that mosh works with both libressl and openssl, but I haven't checked if it can be compiled when neither is present.
Comment 1 Larry the Git Cow gentoo-dev 2019-01-02 11:39:32 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=48e29155e2ef045740d2a6f7eee4620eefe9307e

commit 48e29155e2ef045740d2a6f7eee4620eefe9307e
Author:     Justin Lecher <jlec@gentoo.org>
AuthorDate: 2019-01-02 10:50:16 +0000
Commit:     Justin Lecher <jlec@gentoo.org>
CommitDate: 2019-01-02 11:39:24 +0000

    net-misc/mosh: Add missing dep
    
    Closes: https://bugs.gentoo.org/669294
    Package-Manager: Portage-2.3.53, Repoman-2.3.12
    Signed-off-by: Justin Lecher <jlec@gentoo.org>

 net-misc/mosh/mosh-1.2.6.ebuild | 3 ++-
 net-misc/mosh/mosh-1.3.0.ebuild | 3 ++-
 net-misc/mosh/mosh-1.3.2.ebuild | 3 ++-
 net-misc/mosh/mosh-9999.ebuild  | 3 ++-
 4 files changed, 8 insertions(+), 4 deletions(-)
Comment 2 Progenyx 2019-01-02 17:13:55 UTC
Not fixed, but broken -- it's missing the libressl flag.

Come to think of it, the package shouldn't depend on either given how one or the other is always installed anyway.